require 'lua.MinimalMenu'

local MainMenu = GameState:addState('Mainmenu')
local menu = { }
--------------------------------------------------------------------------------
function MainMenu:enteredState()
menu = MinimalMenu(nil, nil, nil, nil, true)
    
    local play = menu:addItem(nil, 'Play', 'Play the game.', nil)
    menu:addItem(play,'Adventure','Story mode', function() end)
    menu:addItem(play,'Survival','Grab crates!', function()gamestate:gotoState('Survival') end)
    menu:addItem(play,'Co-op','Grab crates with friends!', function() end)
    menu:addItem(play,'Deathmatch','Kill your friends!', function() end)
    local option = menu:addItem(nil,'Options','Sets the game options',nil)
    local video = menu:addItem(option, 'Video', 'Configure video settings.', nil)
	
	local fullscreen = menu:addItem(video, 'Fullscreen', 'Configure the application fullscreen mode.', nil)
	menu:addItem(fullscreen, 'On/Off', 'Turns on fullscreen mode.', function()love.graphics.toggleFullscreen()end)

	
	-- set up an audio menu with volume control in 10% increments
	local audio = menu:addItem(option, 'Audio', 'Configure audio settings.', nil)
	local volume = menu:addItem(audio, 'Volume', 'Configure the master volume level.', nil)
	local volumeUpdate = function(level)
		love.audio.setVolume(level)
		menu:activateParent()
	end
	for vol = 100, 0, -5 do
		menu:addItem(volume, vol .. '%', 'Sets the volume to ' .. vol .. '%', function() volumeUpdate(vol / 100) end)
	end
    local exit = menu:addItem(nil, 'Exit', 'Exits the game.', nil)
	menu:addItem(exit, 'Confirm', 'Exits the game.', function() love.event.push('quit') end)
	menu:addItem(exit, 'Cancel', 'Returns to the menu', function() menu:activateParent() end, true)
end

--------------------------------------------------------------------------------
function MainMenu:continuedState()
end

--------------------------------------------------------------------------------
function MainMenu:pausedState()
end

--------------------------------------------------------------------------------
function MainMenu:exitedState()
end

--------------------------------------------------------------------------------
function MainMenu:update(dt)
    menu:update(dt)
end

--------------------------------------------------------------------------------
function MainMenu:draw()
    menu:draw()
end

--------------------------------------------------------------------------------
function MainMenu:keypressed(key, unicode)
    menu.input:keypressed(key, unicode)
end
