local survival = GameState:addState('Survival')
require 'lua.player'
require 'lua.enemies'
require 'lua.crate'
require 'lua.bullet'
require 'lua.levels.level1'
require 'lib.collision' 
--------------------------------------------------------------------------------
function survival:enteredState()
    player.load()
    player.health = 1
    LOAD_LEVEL1()
    bullet_load()
    enemies_load()
    points = 0
    medium = gr.newFont(22)
    cratespawned = false
    if points >= 10 then
            limit = limit - .5
            if points >=20 then
                limit = limit - .5
            end
    end
end

--------------------------------------------------------------------------------
function survival:continuedState()
end

--------------------------------------------------------------------------------
function survival:pausedState()
end

--------------------------------------------------------------------------------
function survival:exitedState()
end

--------------------------------------------------------------------------------
function survival:update(dt)
    if player.health <=0 then
    elseif focus == false then
    else
        UPDATE_PLAYER(dt)
        UPDATE_LEVEL1(dt)
        bullet.update(dt)
        UPDATE_ENEMIES(dt)
    end
end

--------------------------------------------------------------------------------
function survival:draw()
    if focus then
        gr.setColor(255,255,255,255)
        DRAW_LEVEL1()
        player.draw()        
        DRAW_CRATE()
        bullet.draw()
        enemies_draw()
        gr.setColor(0,0,0)
        gr.setFont(medium)
        gr.print(points,375,-2)
   end
   if focus==false then
        gr.setColor(255,255,255,150)
        rect('fill',0,0,800,600)
        gr.setColor(0,0,0)
        gr.print('survival Paused\nClick the screen to unpause',300,200)
   end
    if player.health <=0 then
        gr.setColor(255,255,255,150)
        rect('fill',0,0,800,600)
        gr.setColor(0,0,0)
        gr.print('survival over\nYou got '..points..' crates\nHit escape to go back to the menu\nHit R to retry',275,200)       
   end
end

--------------------------------------------------------------------------------
function survival:keypressed(key, unicode)
    if key == ' ' then
        bullet.spawn(player.face)
    elseif key=='escape'then
        self:pushState('Mainmenu')
    end
    if player.health <=0 then
        if key=='r'then
            self:pushState('Survival')
        end
    end
end

--------------------------------------------------------------------------------
function survival:keyreleased(key)
	player.animreset(key)
end

--------------------------------------------------------------------------------
function survival:focus(f)
    if f then
        focus = true
    else
        focus = false
    end
end
